Update a deployment
PUT /api/v1/cluster/instances/kubernetes/deployments/id/. Kubernetes API reference.
Update a deployment
Authentication · API availability · Download OpenAPI
Successfully updated deploymentBad Request. Invalid deployment configuration or ID format.Unauthorized. Authentication credentials are missing or invalid.Forbidden. User does not have permission to update this deployment.Not Found. Deployment with the specified ID does not exist.Conflict. Update conflicts with current deployment state.Internal Server Error. Failed to update deployment due to server error.An unexpected error response.
Authorizations
Bearer token for the ZedCloud gateway user session
Headers
User-Agent specified id to track a request
Path Parameters
Unique identifier of the deployment to update (required). Example: 'dep-abc123'
Body
application/json
Updated deployment configuration (required)
Updated deployment configuration (required)
Type of deployment (required). Currently only 'HELMCHART' is supported.
Available options:
K8sDeploymentType_UNSPECIFIED, HELMCHART Metadata for the deployment (required)
Data for the deployment (required)
Response
Successfully updated deployment
Available options:
OPS_TYPE_UNSPECIFIED, OPS_TYPE_READ, OPS_TYPE_DELETE, OPS_TYPE_CREATE, OPS_TYPE_UPDATE, OPS_TYPE_LIST - OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
- OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
- OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
Available options:
OPS_STATUS_UNSPECIFIED, OPS_STATUS_PENDING, OPS_STATUS_ONGOING, OPS_STATUS_COMPLETE Available options:
OBJECT_TYPE_UNSPECIFIED, OBJECT_TYPE_USER, OBJECT_TYPE_EDGE_NODE, OBJECT_TYPE_EDGE_APP, OBJECT_TYPE_IMAGE, OBJECT_TYPE_EDGE_APP_INSTANCE, OBJECT_TYPE_PROJECT, OBJECT_TYPE_NETWORK, OBJECT_TYPE_DATASTORE, OBJECT_TYPE_SERVICE, OBJECT_TYPE_SERVICE_INSTANCE, OBJECT_TYPE_ENTERPRISE, OBJECT_TYPE_ROLE, OBJECT_TYPE_CREDENTIAL, OBJECT_TYPE_NETWORK_INSTANCE, OBJECT_TYPE_VOLUME_INSTANCE, OBJECT_TYPE_REALM, OBJECT_TYPE_AUTHPROFILE, OBJECT_TYPE_POLICY, OBJECT_TYPE_APP_POLICY, OBJECT_TYPE_CLUSTER_INSTANCE, OBJECT_TYPE_PLUGIN, OBJECT_TYPE_DOC_POLICY, OBJECT_TYPE_ORCHESTRATOR_CLUSTER, OBJECT_TYPE_TAGS, OBJECT_TYPE_EDGE_NODE_INTERFACE, OBJECT_TYPE_DEPLOYMENT, OBJECT_TYPE_ENTITLEMENTS, OBJECT_TYPE_DATA_STREAM, OBJECT_TYPE_API_USAGE, OBJECT_TYPE_APP_INSTANCE_SNAPSHOT, OBJECT_TYPE_PATCH_ENVELOPE, OBJECT_TYPE_RESOURCE_USAGE_TRACK, OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE, OBJECT_TYPE_DEV_PASSTHROUGH, OBJECT_TYPE_EDGE_NODE_CLUSTER, OBJECT_TYPE_ASSET_GROUP, OBJECT_TYPE_APP_PROFILE, OBJECT_TYPE_PROFILE_DEPLOYMENT, OBJECT_TYPE_ZKS_INSTANCE, OBJECT_TYPE_CLUSTER_GROUP